ChartDirector Ver 4.1 (PHP Edition Edition)

PolarLayer.getHTMLImageMap

Usage

getHTMLImageMap(url [, queryFormat [, extraAttr [, offsetX, offsetY ]]])

Description

Generates an HTML image map for all data points on the layer.
Please refer to BaseChart.getHTMLImageMap for the detail description of this method.
This method should be called only after creating the chart image (eg. using BaseChart.makeChart, BaseChart.makeChart2 or BaseChart.makeSession). The image map cannot be determined without creating the chart image first.

Arguments

Argument | Default | Description
--- | --- | ---
url | (Mandatory) | The URL to be used in the "href" attribute of the image map. Parameter Substitution and Formatting is supported. Use an empty string if no href attribute is needed.

queryFormat

""

A text string representing the template of the query parameters to be appended to the URL. Parameter Substitution and Formatting is supported.
The special keyword "{default}" represents the default query parameters. This is useful for specifying appending to the default.
Note that an empty string means to use the default query query parameters. To specify no query parameter, use a space character.

extraAttr | "" | A text string to specify additional attributes to add to the <area> tag. Parameter Substitution and Formatting is supported.
offsetX | 0 | An offset to be added to all x coordinates in the image map. This is useful if the current image will be shifted and inserted into another image. In this case, the image map will need to be shifted by the same offset.
offsetY | 0 | An offset to be added to all y coordinates in the image map. See offsetX above for description.

Return Value

A text string containing the image map generated.

© 2006 Advanced Software Engineering Limited. All rights reserved.